<app-breadcrumb-admin [single]="true" titlePage="Promociones"></app-breadcrumb-admin>
<div class="row">
  <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
    <div class="col-12">
      <h3 class="">
        <a class="btn btn-primary" [routerLink]="['/admin/promotions/create']">
          <fa-icon [icon]="faPlus"></fa-icon>
          Agregar Promoción
        </a>
      </h3>
    </div>
    <div class="card mb-3">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h3><fa-icon [icon]="faTable"></fa-icon> Tabla de Promociones</h3>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="table-responsive">
          <table id="dataTable" class="table table-bordered table-hover display" style="width:100%">
            <thead class="bg-primary  text-white">
            <tr>
              <th>Imagen</th>
              <th>Nombre</th>
              <th>Acciones</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let promotion of promotions |  paginate: { itemsPerPage: 5, currentPage: page }; let i=index">
              <td width="200px">
                <a [routerLink]="['/admin/promotions/edit', promotion._id]" title="Editar">
                  <img src="assets/images/missing.png" alt="Sin Imagen" class="img-fluid" *ngIf="!promotion.image">
                  <img [src]="promotion._id | image: 'promotions'" [alt]="promotion.name" class="img-fluid" *ngIf="promotion.image" (error)="replaceImage(image)" #image>
                </a>
              </td>
              <td>
                <a [routerLink]="['/admin/promotions/edit', promotion._id]" title="Editar">
                  {{ promotion.name }}
                </a>
              </td>
              <td width="100px" class="text-center" >
                <fa-icon [icon]="faPowerOff" class="text-success ms-1 cursor"
                         title="Activo"
                         (click)="desActive(promotion._id)"
                         *ngIf="promotion.active">
                </fa-icon>
                <fa-icon [icon]="faPowerOff" class="text-danger ms-1 cursor"
                         title="Desactivado"
                         (click)="active(promotion._id)"
                         *ngIf="!promotion.active">
                </fa-icon>
                <fa-icon [icon]="faTrashAlt"
                         class="text-danger ms-1 cursor"
                         title="Eliminar"
                         (click)="delete(promotion._id)">
                </fa-icon>
              </td>
            </tr>
            </tbody>
          </table>
          <pagination-controls  (pageChange)="page = $event"
                                (pageBoundsCorrection)="page = $event"
                                [maxSize]=9
                                [directionLinks]=true
                                [autoHide]=true
                                [responsive]=true
                                previousLabel="Anterior"
                                nextLabel="Siguente"
                                screenReaderPaginationLabel="Pagination"
                                screenReaderPageLabel="page"
                                screenReaderCurrentLabel="You're on page">
          </pagination-controls>
        </div>
        <!-- end table-responsive-->
      </div>
      <!-- end card-body-->
    </div>
    <!-- end card-->
  </div>
</div>
